package com.bocloud.ims.entity.resource.hmc;

import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.annotations.IgnoreAll;
import com.bocloud.entity.annotations.PK;
import com.bocloud.entity.annotations.Table;
import com.bocloud.entity.meta.PKStrategy;

import java.util.List;

/**
 * HMC主机以太网适配器
 * 
 * @author ShaolongTan
 *
 */
@Deprecated
@Table("hmc_host_ethernet_adapter")
public class HmcHostEthernetAdapter {
    @PK(value = PKStrategy.AUTO)
    private Long id;
    @Column("server_id")
    private Long serverId;
    @Column("uuid")
    private String uuid;
    @Column("adapter_id")
    private Long adapterId;
    @Column("name")
    private String name;

    @IgnoreAll
    private List<HmcHeaPhysicalPort> hmcHeaPhysicalPorts;
    @IgnoreAll
    private List<HmcHeaLogicalPort> hmcHeaLogicalPorts;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getServerId() {
        return serverId;
    }

    public void setServerId(Long serverId) {
        this.serverId = serverId;
    }

    public String getUuid() {
        return uuid;
    }

    public void setUuid(String uuid) {
        this.uuid = uuid;
    }

    public Long getAdapterId() {
        return adapterId;
    }

    public void setAdapterId(Long adapterId) {
        this.adapterId = adapterId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public List<HmcHeaPhysicalPort> getHmcHeaPhysicalPorts() {
        return hmcHeaPhysicalPorts;
    }

    public void setHmcHeaPhysicalPorts(List<HmcHeaPhysicalPort> hmcHeaPhysicalPorts) {
        this.hmcHeaPhysicalPorts = hmcHeaPhysicalPorts;
    }

    public List<HmcHeaLogicalPort> getHmcHeaLogicalPorts() {
        return hmcHeaLogicalPorts;
    }

    public void setHmcHeaLogicalPorts(List<HmcHeaLogicalPort> hmcHeaLogicalPorts) {
        this.hmcHeaLogicalPorts = hmcHeaLogicalPorts;
    }
}
